---
title: License Rest API
description: Generate Jodit PRO license keys via REST API. Token-based authentication.
keywords: jodit license api, rest api, license generator
---

# License Rest API

If you have a paid order, you can generate licenses via the API. To do this, you need a token and an order ID.

- To get a token you need to create an appeal in the issue tracker https://xdsoft.net/jodit/pro/cab/issues/new
- You can take the order ID on the page https://xdsoft.net/jodit/pro/cab/

## Get all licenses

```bash
curl --location --request GET 'https://xdsoft.net/jodit/pro/api/licenses/{ORDER_ID}?token={TOKEN}'
```

## Generate a license

```bash
curl --location --request POST 'https://xdsoft.net/jodit/pro/api/licenses/{ORDER_ID}?token={TOKEN}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https://xdsoft.net"
}'
```

## Remove a license

```bash
curl --location --request DELETE 'https://xdsoft.net/jodit/pro/api/licenses/{LICENSE_ID}?token={TOKEN}'
```
